Sound: Filter (de-emphasis)...

A command to filter every selected Sound object. The resulting Sound object has a lower spectral slope.

The reverse of Sound: Filter (pre-emphasis).... For an example, see Source-filter synthesis.

## Setting

From frequency (Hz)
  the frequency F above which the spectral slope will decrease by 6 dB/octave.

## Algorithm

The de-emphasis factor α is computed as

α = exp (-2 π F Δt)

where Δt is the sampling period of the sound. The new sound y is then computed recursively as:

y1 = x1

yi = xi + α yi−1

### Links to this page

- Filtering
- Sound: De-emphasize (in-place)...